ArrayUtil (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.util, class: ArrayUtil

# Class ArrayUtil

java.lang.Object
org.apache.cayenne.util.ArrayUtil

public final class ArrayUtil extends Object

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean[][]`
  `sliceArray(boolean[] array, int batchSize)`
  `static byte[][]`
  `sliceArray(byte[] array, int batchSize)`
  `static char[][]`
  `sliceArray(char[] array, int batchSize)`
  `static double[][]`
  `sliceArray(double[] array, int batchSize)`
  `static float[][]`
  `sliceArray(float[] array, int batchSize)`
  `static int[][]`
  `sliceArray(int[] array, int batchSize)`
  `static long[][]`
  `sliceArray(long[] array, int batchSize)`
  `static short[][]`
  `sliceArray(short[] array, int batchSize)`
  `static Object[][]`
  `sliceArray(Object[] array, int batchSize)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArrayUtil

    public ArrayUtil()

- ## Method Details

  - ### sliceArray

    public static int[][] sliceArray(int[] array, int batchSize)

  - ### sliceArray

    public static long[][] sliceArray(long[] array, int batchSize)

  - ### sliceArray

    public static float[][] sliceArray(float[] array, int batchSize)

  - ### sliceArray

    public static double[][] sliceArray(double[] array, int batchSize)

  - ### sliceArray

    public static short[][] sliceArray(short[] array, int batchSize)

  - ### sliceArray

    public static char[][] sliceArray(char[] array, int batchSize)

  - ### sliceArray

    public static boolean[][] sliceArray(boolean[] array, int batchSize)

  - ### sliceArray

    public static byte[][] sliceArray(byte[] array, int batchSize)

  - ### sliceArray

    public static Object[][] sliceArray(Object[] array, int batchSize)